package StructuralClass;

import java.util.ArrayList;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class Action extends JceStruct {
    public byte cacheType;
    static ArrayList cache_extraReportKVs;
    public ArrayList extraReportKVs;
    public byte preReadType;
    public String reportKey;
    public String reportParams;
    public String url;

    static {
        Action.cache_extraReportKVs = new ArrayList();
        Action.cache_extraReportKVs.add(new ExtraReportKV());
    }

    public Action() {
        super();
        this.url = "";
        this.cacheType = 0;
        this.preReadType = 0;
        this.reportParams = "";
        this.reportKey = "";
        this.extraReportKVs = null;
    }

    public Action(String arg3, byte arg4, byte arg5, String arg6, String arg7, ArrayList arg8) {
        super();
        this.url = "";
        this.cacheType = 0;
        this.preReadType = 0;
        this.reportParams = "";
        this.reportKey = "";
        this.extraReportKVs = null;
        this.url = arg3;
        this.cacheType = arg4;
        this.preReadType = arg5;
        this.reportParams = arg6;
        this.reportKey = arg7;
        this.extraReportKVs = arg8;
    }

    public final void readFrom(c arg5) {
        this.url = arg5.b(0, true);
        this.cacheType = arg5.a(this.cacheType, 1, true);
        this.preReadType = arg5.a(this.preReadType, 2, true);
        this.reportParams = arg5.b(3, false);
        this.reportKey = arg5.b(4, false);
        this.extraReportKVs = (ArrayList) arg5.a(Action.cache_extraReportKVs, 5, false);
    }

    public final void writeTo(d arg3) {
        arg3.a(this.url, 0);
        arg3.a(this.cacheType, 1);
        arg3.a(this.preReadType, 2);
        if(this.reportParams != null) {
            arg3.a(this.reportParams, 3);
        }

        if(this.reportKey != null) {
            arg3.a(this.reportKey, 4);
        }

        if(this.extraReportKVs != null) {
            arg3.a(this.extraReportKVs, 5);
        }
    }

}


